/royaltyTokensCreates (mints) a new royalty token.
balance values in holders must equal the totalSupply.balance must be greater than 0.The enterprise for this track must be designated as the Admin among the royalty token holders before the token is saved in the database.
0A successful request returns the details of the newly created royalty token, with its
status set to validationPending.
| Parameter | Type | Description |
|---|---|---|
assetType required | string | "track" - Is the only acceptable value at this time. |
assetId required | integer | Asset ID |
totalSupply required | integer | Amount of tokens being minted for the asset |
holders required | array of objects | List of holders |
holders.account required | string | Web3 wallet adress (0x prefix followed by a long string of hexadecimal digits) |
holders.friendlyName required | string | The name of the rights holder |
holders.balance required | integer | How many royalty tokens the holder has for this particular track Make sure validation rule 1. applies |
smartContractStandard required | string | "ERC1155" - Is the only acceptable value at this time. |
network optional | string | Blockchain network to mint the token on. Must be one of the networks supported for your account. If omitted, your account’s default royalty token network is used. |
payoutRate optional | number | The payout rate for the Royalty Token (RT), representing the percentage of royalties to be transferred. This value must be between 1 and 100 (inclusive). If omitted, 100% of royalties are transferred and the token’s payoutRate is returned as 0. |
curl -X POST -H 'Content-Type: application/json' -H 'Accept: text/plain' -d '{ \
"assetType": "track", \
"assetId": 12345, \
"totalSupply": 10, \
"holders": [ \
{ \
"account": "0x1A2B3C4D5E6F7A8B9C0D1E2F3A4B5C6D7E8F9A0", \
"friendlyName": "Name", \
"balance": 10 \
} \
], \
"smartContractStandard": "ERC1155", \
"payoutRate": 80 \
}' 'https://api.revelator.com/royaltyTokens'{
"royaltyTokenId": 0,
"royaltyTokenAddress": "string",
"enterpriseId": 0,
"createdBy": "00000000-0000-0000-0000-000000000000",
"createdAt": "2024-04-04T01:52:25.647Z",
"assetType": "track",
"assetId": 0,
"trackId": 0,
"releaseId": null,
"assetMetadataJson": "string",
"originalHolders": [
{
"account": "string",
"friendlyName": "string",
"balance": "string",
"isAdmin": true
}
],
"holders": [
{
"account": "string",
"friendlyName": "string",
"balance": "string",
"isAdmin": true
}
],
"smartContractStandard": "ERC1155",
"status": "validationPending",
"royaltyTokenURI": "string",
"revenueStreamUri": "string",
"network": "string",
"fees": "string",
"asset": {
"type": "string",
"assetURI": "string",
"ownerURI": "string",
"artist": "string",
"name": "string",
"description": "string",
"bpm": 0,
"duration": 0,
"key": "string",
"genre": "string",
"image": "string",
"artistImageURL": "string",
"spotifyId": "string",
"appleId": 0,
"trackMimeType": "string",
"artworkMimeType": "string",
"tags": [
"string"
],
"locationCreated": "string",
"external_url": [
{
"name": "string",
"url": "string"
}
],
"animation_url": "string",
"youtube_url": "string",
"originalReleaseDate": "string",
"recordLabel": "string",
"publisher": "string",
"upc": "string",
"isrc": "string",
"lyrics": "string",
"language": "string",
"attributes": [
{
"trait_type": "string",
"value": "string"
}
],
"credits": [
{
"name": "string",
"creditType": "string"
}
],
"releases": [
{
"releaseType": "string",
"releaseTitle": "string",
"artist": "string",
"releaseDate": "string",
"recordLabel": "string",
"upc": 0,
"imageURL": "string"
}
],
"platform": {
"name": "string",
"imageURL": "string",
"assetId": "string",
"enterpriseId": "string"
}
},
"assetName": "string",
"assetVersion": "string",
"payoutRate": 0
} /royaltyTokensRetrieves all royalty tokens associated with the account.
| Query Param | Type | Description |
|---|---|---|
pageNumber optional | integer | Pagination page number. |
pageSize optional | integer | Pagination page size. |
orderByProperty optional | string | Property to order the results by. (Possible values: createdAt, status) |
orderByDescending optional | boolean | true - descending false - ascending |
royaltyTokenStatus optional | array of strings | Retrieve only results matching these statuses |
fromDate optional | date-time | A starting date-time string in the ISO8601 standard |
toDate optional | date-time | An ending date-time string in the ISO8601 standard |
searchText optional | string | Text to search for in the asset name (max 50 characters) |
royaltyTokenIds optional | array of integers | Retrieve only results matching these tokenIds |
assetIds optional | array of integers | Retrieve only results matching these assetIds (e.g. track IDs) |
curl -X GET -H 'Accept: text/plain' 'https://api.revelator.com/royaltyTokens?pageNumber=1&pageSize=10'{
"totalItemsCount": 0,
"pageNumber": 0,
"pageSize": 0,
"items": [
{
"royaltyTokenId": 0,
"royaltyTokenAddress": "string",
"enterpriseId": 0,
"createdBy": "00000000-0000-0000-0000-000000000000",
"createdAt": "2024-04-04T01:52:25.643Z",
"assetType": "track",
"assetId": 0,
"trackId": 0,
"releaseId": null,
"assetMetadataJson": "string",
"originalHolders": [
{
"account": "string",
"friendlyName": "string",
"balance": "string",
"isAdmin": true
}
],
"holders": [
{
"account": "string",
"friendlyName": "string",
"balance": "string",
"isAdmin": true
}
],
"smartContractStandard": "ERC1155",
"status": "validationPending",
"royaltyTokenURI": "string",
"revenueStreamUri": "string",
"network": "string",
"fees": "string",
"asset": {
"type": "string",
"assetURI": "string",
"ownerURI": "string",
"artist": "string",
"name": "string",
"description": "string",
"bpm": 0,
"duration": 0,
"key": "string",
"genre": "string",
"image": "string",
"artistImageURL": "string",
"spotifyId": "string",
"appleId": 0,
"trackMimeType": "string",
"artworkMimeType": "string",
"tags": [
"string"
],
"locationCreated": "string",
"external_url": [
{
"name": "string",
"url": "string"
}
],
"animation_url": "string",
"youtube_url": "string",
"originalReleaseDate": "string",
"recordLabel": "string",
"publisher": "string",
"upc": "string",
"isrc": "string",
"lyrics": "string",
"language": "string",
"attributes": [
{
"trait_type": "string",
"value": "string"
}
],
"credits": [
{
"name": "string",
"creditType": "string"
}
],
"releases": [
{
"releaseType": "string",
"releaseTitle": "string",
"artist": "string",
"releaseDate": "string",
"recordLabel": "string",
"upc": 0,
"imageURL": "string"
}
],
"platform": {
"name": "string",
"imageURL": "string",
"assetId": "string",
"enterpriseId": "string"
}
},
"assetName": "string",
"assetVersion": "string",
"payoutRate": 0
}
],
"additionalCounters": {}
} /royaltyTokens/{tokenId}Retrieves a royalty token by its unique tokenId
curl -X GET -H 'Accept: text/plain' 'https://api.revelator.com/royaltyTokens/12345'{
"royaltyTokenId": 0,
"royaltyTokenAddress": "string",
"enterpriseId": 0,
"createdBy": "00000000-0000-0000-0000-000000000000",
"createdAt": "2024-04-04T01:52:25.649Z",
"assetType": "track",
"assetId": 0,
"trackId": 0,
"releaseId": null,
"assetMetadataJson": "string",
"originalHolders": [
{
"account": "string",
"friendlyName": "string",
"balance": "string",
"isAdmin": true
}
],
"holders": [
{
"account": "string",
"friendlyName": "string",
"balance": "string",
"isAdmin": true
}
],
"smartContractStandard": "ERC1155",
"status": "validationPending",
"royaltyTokenURI": "string",
"revenueStreamUri": "string",
"network": "string",
"fees": "string",
"asset": {
"type": "string",
"assetURI": "string",
"ownerURI": "string",
"artist": "string",
"name": "string",
"description": "string",
"bpm": 0,
"duration": 0,
"key": "string",
"genre": "string",
"image": "string",
"artistImageURL": "string",
"spotifyId": "string",
"appleId": 0,
"trackMimeType": "string",
"artworkMimeType": "string",
"tags": [
"string"
],
"locationCreated": "string",
"external_url": [
{
"name": "string",
"url": "string"
}
],
"animation_url": "string",
"youtube_url": "string",
"originalReleaseDate": "string",
"recordLabel": "string",
"publisher": "string",
"upc": "string",
"isrc": "string",
"lyrics": "string",
"language": "string",
"attributes": [
{
"trait_type": "string",
"value": "string"
}
],
"credits": [
{
"name": "string",
"creditType": "string"
}
],
"releases": [
{
"releaseType": "string",
"releaseTitle": "string",
"artist": "string",
"releaseDate": "string",
"recordLabel": "string",
"upc": 0,
"imageURL": "string"
}
],
"platform": {
"name": "string",
"imageURL": "string",
"assetId": "string",
"enterpriseId": "string"
}
},
"assetName": "string",
"assetVersion": "string",
"payoutRate": 0
} A list of all possible statuses
| Status |
|---|
| validationPending |
| validationInProgress |
| validationFailed |
| sendCreationPending |
| sendCreationInProgress |
| sendCreationFailed |
| checkCreationStatusPending |
| checkCreationStatusInProgress |
| checkCreationStatusFailed |
| contractCreationPending |
| contractCreationInProgress |
| contractCreationFailed |
| contractCreationCompleted |